repo/gentoo:master commit in: dev-db/etcd/

"James Le Cuirot" <[email protected]> Tue, 04 Aug 2026 10:24:00 +0000 (UTC)
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1785837678.79054c10fcd4b09c1bd4e33f5514ee9af6eededd.chewi@gentoo>
commit:     79054c10fcd4b09c1bd4e33f5514ee9af6eededd
Author:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Tue Aug  4 10:01:18 2026 +0000
Commit:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Tue Aug  4 10:01:18 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=79054c10

dev-db/etcd: Version bump to 3.6.14

The tests pass.

Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>

 dev-db/etcd/Manifest           |  2 ++
 dev-db/etcd/etcd-3.6.14.ebuild | 78 ++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 80 insertions(+)

diff --git a/dev-db/etcd/Manifest b/dev-db/etcd/Manifest
index 47e6c7d16d77..86a7dfe428d9 100644
--- a/dev-db/etcd/Manifest
+++ b/dev-db/etcd/Manifest
@@ -6,3 +6,5 @@ DIST etcd-3.5.26-deps.tar.xz 48943308 BLAKE2B 6c5719f47ef4be8b98260ff8b1f4d09c25
 DIST etcd-3.5.26.tar.gz 4145585 BLAKE2B e261a5ef3b629a69cc044b1a92ee6b3a2d56ee7e648b86036016c79b084bbb5dd748ecaf0214900b88c596b14f297815ab166e468c0fe84d63f46e6b51e867d5 SHA512 3a014d259725d8a116a3823fd921c6fa6cf9587c993038c12765085032610e997bf318d29ca2ae9ed34a55990cb500b61e2bc1f8151a80e200ec2299d918cf76
 DIST etcd-3.6.11-deps.tar.xz 111959652 BLAKE2B bfe2bb60c5a0a428401333f5ee9f33c1cad7f455fce768318625aceb95ffd6927a588c81166e67cad21d6055cda6e290a6e8a0d0151ab0b566494fb2e899adee SHA512 160078a709a58656fbc584ddeb35baa1ffe447ae9ed9b4dca5e40aa316e162caccde13c29b0eff5ef144153d601565d253e897f3ffe5684c4f807dd87517a5ca
 DIST etcd-3.6.11.tar.gz 7384738 BLAKE2B ba4730a1cdf31ae94365124a48aeb222a91b1df835e5b919dac15c3eceecf1165ac92ab2a19e70067be7ba8f42df59100e1679c5cee423fe86cd4aeea7d3efbd SHA512 56423c42443d9d1d2d06ff28aff389a381ed9b726cbee0d3523ac34fe2a8e22029377a42aa808077bb985f524a153c5fe63fd6166857749e8217b705fdf41910
+DIST etcd-3.6.14-deps.tar.xz 111593632 BLAKE2B cfc9e3474c75f2ba6b8f1601f6f2427a0542429cb495196915adbb79b0c5762ffcb5608965821d6cc5b12e7f8e08c249b70ceea61969b7422ffe3f2fad9faf6b SHA512 3cb35f8ac8d7c6c041f8951fd89ae415b256a940e818d3f8e713ffbcf19f85a09823d394d8f67fd6357c12ed3e117d713101c5d68fb167b7c9de975978256642
+DIST etcd-3.6.14.tar.gz 7389983 BLAKE2B 322637f55a33f103dde18ed35f0f9dd4176ecc31130c6860fef6260a70cee72cec6cb51fad2c7484449a04819e42413a23c46f0bf89801ef984ce476b9e6524c SHA512 4fa9ad2c3c06ef6364f040aad00aad5022f7a9cae8afc291c62b609a2dad27c57d8b7f8540ffd2e7d25638da8346ac7fa30e09ca681f1de280fa2b9a0064a3f4

diff --git a/dev-db/etcd/etcd-3.6.14.ebuild b/dev-db/etcd/etcd-3.6.14.ebuild
new file mode 100644
index 000000000000..7919815f519d
--- /dev/null
+++ b/dev-db/etcd/etcd-3.6.14.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+inherit go-module systemd tmpfiles
+GIT_COMMIT=fc04cf702
+
+DESCRIPTION="Highly-available key value store for shared configuration and service discovery"
+HOMEPAGE="https://github.com/etcd-io/etcd"
+SRC_URI="https://github.com/etcd-io/etcd/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+SRC_URI+=" https://dev.gentoo.org/~chewi/distfiles/${P}-deps.tar.xz" # Vendor tarball doesn't work.
+
+LICENSE="Apache-2.0"
+LICENSE+=" BSD BSD-2 MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~loong ~riscv"
+IUSE="doc +server"
+
+COMMON_DEPEND="server? (
+	acct-group/etcd
+	acct-user/etcd
+	)"
+DEPEND="${COMMON_DEPEND}"
+RDEPEND="${COMMON_DEPEND}"
+BDEPEND=">=dev-lang/go-1.25.12"
+
+# Unit tests attempt to download go modules.
+PROPERTIES="test_network"
+RESTRICT="test"
+
+src_prepare() {
+	default
+	sed -i "s|GIT_SHA=.*|GIT_SHA=${GIT_COMMIT}|" scripts/build_lib.sh || die
+
+	# Don't test these as they are not built.
+	find tools/ -name "*_test.go" -delete || die
+}
+
+src_configure() {
+	export FORCE_HOST_GO=1 GO_BUILD_FLAGS="-v -x"
+}
+
+src_compile() {
+	scripts/build.sh || die
+}
+
+src_test() {
+	PASSES="unit" scripts/test.sh -v || die
+}
+
+src_install() {
+	dobin bin/etcdctl
+	dobin bin/etcdutl
+	use doc && dodoc -r Documentation
+	if use server; then
+		insinto /etc/${PN}
+		sed -e 's|^data-dir:|\0 /var/lib/etcd|' -i etcd.conf.yml.sample || die
+		newins etcd.conf.yml.sample etcd.conf.yml
+		dobin bin/etcd
+		dodoc README.md
+		systemd_newunit "${FILESDIR}/${PN}.service-r1" "${PN}.service"
+		newtmpfiles "${FILESDIR}/${PN}.tmpfiles.d.conf" ${PN}.conf
+		newinitd "${FILESDIR}"/${PN}.initd-r1 ${PN}
+		newconfd "${FILESDIR}"/${PN}.confd-r1 ${PN}
+		insinto /etc/logrotate.d
+		newins "${FILESDIR}/${PN}.logrotated" "${PN}"
+		keepdir /var/lib/${PN} /var/log/${PN}
+		fowners ${PN}:${PN} /var/lib/${PN} /var/log/${PN}
+		fperms 0700 /var/lib/${PN}
+		fperms 0755 /var/log/${PN}
+	fi
+}
+
+pkg_postinst() {
+	if use server; then
+		tmpfiles_process ${PN}.conf
+	fi
+}